## org.apache.xerces.impl
Class XMLEntityManager.RewindableInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.apache.xerces.impl.XMLEntityManager.RewindableInputStream

Enclosing class:
  XMLEntityManager

protected final class XMLEntityManager.RewindableInputStream
extends java.io.InputStream

Constructor Summary
`XMLEntityManager.RewindableInputStream(java.io.InputStream is)`

Method Summary
`int` `available()`
`void` `close()`
`void` `mark(int howMuch)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`void` `rewind()`
`void` `setStartOffset(int offset)`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEntityManager.RewindableInputStream

    public XMLEntityManager.RewindableInputStream(java.io.InputStream is)

Method Detail

### setStartOffset

    public void setStartOffset(int offset)

### rewind

    public void rewind()

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`

### mark

    public void mark(int howMuch)

  Overrides:
    `mark` in class `java.io.InputStream`

### reset

    public void reset()

  Overrides:
    `reset` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.